Subject: Re: [PATCH] Documentation: clarify glossary definition of "reachable"

From: "J. Bruce Fields" <[email-masked]>
Date: Sun, 7 Jan 2007 22:28:45 -0500

On Sun, Jan 07, 2007 at 05:44:01PM -0800, Junio C Hamano wrote:
> That is better but the description is too commit centric.
> 
>         The set of reachable objects from a tag is the tag
>         itself and the set of reachable objects from the object
>         it tags.  The set of reachable objects from a commit is
>         the commit itself, and the set of reachable objects from
>         its parents and its tree.  The set of reachable objects
>         from a tree is the tree itself, and the set of reachable
>         objects from the trees and blobs contained within it.
>         The set of reachable objects from a blob is the blob
>         itself.
> 
> And that description is too verbose and too technical
> (definition being recursive).  Better rewording?

Oops, you're right!  Take two:  (I'm still giving the commit case first
as a special example, because I think it's the most important case, and
because it requires less knowledge to understand.)

--b.

>>From 1b1885dc3cf597452c597f34e6f52856c9524239 Mon Sep 17 00:00:00 2001
From: J. Bruce Fields <[email-masked]>
Date: Sun, 7 Jan 2007 19:25:35 -0500
Subject: [PATCH] [PATCH] Documentation: clarify definition of "reachable"

Clarify definition of "reachable" (what chain?)

Signed-off-by: "J. Bruce Fields" <[email-masked]>
---
 Documentation/glossary.txt |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/Documentation/glossary.txt b/Documentation/glossary.txt
index 7c1a659..cd61aa2 100644
--- a/Documentation/glossary.txt
+++ b/Documentation/glossary.txt
@@ -235,8 +235,11 @@ push::
 	local head, the push fails.
 
 reachable::
-	An object is reachable from a ref/commit/tree/tag, if there is a
-	chain leading from the latter to the former.
+	All of the ancestors of a given commit are said to be reachable from
+	that commit.  More generally, one object is reachable from another if
+	we can reach the one from the other by a chain that follows tags to
+	whatever they tag, commits to their parents or trees, and trees to the
+	trees or blobs that they contain.
 
 rebase::
 	To clean a branch by starting from the head of the main line of
-- 
1.5.0.rc0.ge16c2